## net.i2p.client.streaming
Class ConnThrottler

    java.lang.Object
      net.i2p.client.streaming.ConnThrottler

     class ConnThrottler

extends Object

Count how often we have received an incoming connection This offers basic DOS protection but is not a complete solution.

Since:
  0.7.14

Constructor Summary
`ConnThrottler(int max, int totalMax, long period)`

Method Summary
`(package private) boolean` `shouldThrottle(Hash h)` increments before checking

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ConnThrottler

    ConnThrottler(int max,
                  int totalMax,
                  long period)

Method Detail

### shouldThrottle

    boolean shouldThrottle(Hash h)

  increments before checking